import * as $dara from '@darabonba/typescript';
import { CreateDiagnosticMetricSetResponseBody } from "./CreateDiagnosticMetricSetResponseBody";
export declare class CreateDiagnosticMetricSetResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateDiagnosticMetricSetResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
